package cn.net.cpzslibs.prot;

import com.google.gson.Gson;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;

import cn.net.cpzslibs.prot.bean.req.Prot10078ReqBean;


public class Prot10078CheckUsed extends ProtBase {
	
	private final short iTaskCode10078 = 10078;
	private Gson gson;
	
	
	public Prot10078CheckUsed() {
//		this.sInspectorId = sInspectorId;
		gson = new Gson();
	}
	
	public void submitCheckUsedInfo(SocketCreate create, Prot10078ReqBean reqBean) throws IOException {
		recProt(create.getSocket(), create.getDos(), create.getDis(), reqBean);
	}
	
	private void recProt(Socket socket, DataOutputStream dos,
			DataInputStream dis, Prot10078ReqBean reqBean)
			throws IOException {
		if (socket.isConnected()) {
			if (!socket.isOutputShutdown()) {
				//发送登录信息
				debugLog(iTaskCode10078, "开始请求信息");
				sendProt(dos, reqBean);
			}
		}
		if (socket.isConnected()) {
			if (!socket.isInputShutdown()) {
				recLoginDis(dis);
			}
		}
	}
	
	/**
	 * 读取JSon数据
	 * @param dis
	 * @throws IOException
	 */
	private void recLoginDis(DataInputStream dis) throws IOException {
		debugLog(iTaskCode10078, "获取接收的数据");
		recHeader(dis);
		int jsonLength = getiRecBodySize() - 2;
		String jsonData = getUTF8(dis, jsonLength);
		debugLog(iTaskCode10078, jsonData);
/*		if (!StrUtils.isEmpty(jsonData)) {
			resBean = gson.fromJson(jsonData, Prot10077ResBean.class);
		}
*/		recCheckCode(dis);
	}
	
	
	/**
	 * 发送JSon数据到服务器
	 * @param dos
	 * @param iUserType
	 * @param loginBean
	 * @throws IOException
	 */
	private void sendProt(DataOutputStream dos, Prot10078ReqBean reqBean) throws IOException {
		String bodyContent = gson.toJson(reqBean).toString();
		System.out.println(iTaskCode10078+ " 发送的数据：" + bodyContent);
		short bodySize = countBodySize(bodyContent);
		sendHeader(dos, iTaskCode10078, bodySize);// 84
		dos.write(bodyContent.getBytes("UTF-8"));
//		sendCheckCode(dos);
		sendCheckCoded(dos,bodyContent.getBytes("UTF-8"));
	}
	

}
